Subject: Re: The [email-masked] mailing list
From: [email-masked] (Larry Hall)

20 Feb 1997 07:22:55 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Original-To: Fergus Henderson <[email-masked]>, [email-masked]
Original-Cc: [email-masked] (gnu-win32)
Original-Sender: [email-masked]

At 11:16 AM 2/20/97 +1100, Fergus Henderson wrote:
>Aubrey McAuley, you wrote:
>> > Yes, the good news is that there seems to be a technical solution:
>> > there is a version of libcygwin.a that is freely available under a
>> > license that is compatible with the LGPL.
>> 
>> What is this version you mention? mingw32? Where can it be found?
>
>The version I'm talking about is the one that is distributed with
>GNAT 3.09, which is available via <ftp://ftp.cs.nyu.edu/pub/gnat/winnt>.
>
>Here's what Richard Kenner said about it on comp.lang.ada:
> | 99% of libcygwin.a is automatically-generated jump vectors to
> | cygwin32.dll, which is GPL'ed, but not included in the generated
> | executable.  The rest of the files used to build that library, plus
> | the file used to build crt0.o, constitute only a handful of files,
> | some of which were copyrighted under the Berkeley copyright, which
> | imposes no restrictions.  For the remaining couple of files, which
> | were tiny, we rebuilt libcygwin.a using the sources of those files
> | from an earlier version of Cygwin32, when they did not have GPL
> | copyrights.
> | 
> | Thefore no code contained in the user's executable is covered by the
> | unmodified GPL (the GNAT run-time-library sources are covered by a
> | modified version of the GPL which permits use of the objects, without
> | restrictions, in user executables).

Fergus,

I'm not sure that the argument Richard presents is entirely correct.
Specifically, I refer to the assertion that he "rebuilt libcygwin.a using 
the sources of those files from an earlier version of Cygwin32, when they 
did not have GPL copyrights."  While I am no lawyer nor do I have any
particular motives for advancing one theory or another about the use of
cygwin32 or its derivatives outside the GPL license, I do remember seeing
some piece of email from Cygnus stating that pre-GPL'd code from them fell
under the Cygnus copyright by default and therefore had all rights reserved.
If this is truely the case, I'm not sure even Richard's clever analysis and
work removes GNAT from the Cygnus dual license issues.  Unfortunately, I
don't have that piece of email lying around.  However, its another thought
for this lovely pot of stew!;-)

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (617) 239-1053
8 Grove Street                          (617) 239-1655 - FAX
Wellesley, MA  02181                             

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".